- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_listener_manager.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_conf_ctx.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_listener_manager | axis2_listener_manager_t
## Functions
AXIS2_EXTERN axis2_status_t | axis2_listener_manager_make_sure_started (axis2_listener_manager_t *listener_manager, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS transport, axis2_conf_ctx_t *conf_ctx)
AXIS2_EXTERN axis2_status_t | axis2_listener_manager_stop (axis2_listener_manager_t *listener_manager, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS transport)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_listener_manager_get_reply_to_epr (const axis2_listener_manager_t *listener_manager, const axutil_env_t *env, const axis2_char_t *svc_name, const AXIS2_TRANSPORT_ENUMS transport)
AXIS2_EXTERN axis2_conf_ctx_t * | axis2_listener_manager_get_conf_ctx (const axis2_listener_manager_t *listener_manager, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_listener_manager_free (axis2_listener_manager_t *listener_manager, const axutil_env_t *env)
AXIS2_EXTERN axis2_listener_manager_t * | axis2_listener_manager_create (const axutil_env_t *env)

## Detailed Description